//NetTalk
/*------------------------------------------------------------------------------*\
 =============================
   模块名称: GraphDlg.h
 =============================
 
 [版权]
 
   2000-2002  115软件工厂  版权所有
                                              
\*------------------------------------------------------------------------------*/
#ifndef _GRAPHDLG_H_
#define _GRAPHDLG_H_


#include "CoolBtn.h"	// Added by ClassView
class CGraphDlg:public CDialogX
{
public:
	virtual  ~CGraphDlg();
	CGraphDlg();

protected:
	
	
	BOOL m_bHilight;
	HRGN m_hTRgn;
	HBRUSH m_hbBkE;
	HBRUSH m_hbBkS;
	
	CCoolBtn m_btnClose;

	void DrawTitleBar(HDC hdc);

	virtual BOOL OnCommand( WPARAM wParam, LPARAM lParam );
	virtual BOOL OnInitDialog();
	virtual void OnDestroy( );
	virtual void OnTimer(UINT nIDEvent);
	virtual void OnMouseMove(UINT nFlags, POINT &point);
	virtual void OnLButtonDown(UINT nFlags, POINT &point);
	virtual void OnEraseBkgnd(HDC hdc);
	virtual LRESULT WndProc(UINT uMsg,WPARAM wParam,LPARAM lParam);
	
};



#endif